com.google.gwt.core.ext.typeinfo

## Interface JPackage

All Superinterfaces:
  HasAnnotations

    public interface JPackage
    extends HasAnnotations

Represents a logical package.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`JClassType` `findType(java.lang.String typeName)` Finds a type in this package.
`JClassType` `findType(java.lang.String[] typeName)` Deprecated. use `findType(String)`
`java.lang.String` `getName()` Returns the name of the package.
`JClassType` `getType(java.lang.String typeName)` Finds a type in this package.
`JClassType[]` `getTypes()` Returns all top-level types in this package.
`boolean` `isDefault()` Returns `true` only for the default package.

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### findType

    JClassType findType(java.lang.String typeName)

Finds a type in this package.

Parameters:
  `typeName` - the name of the type; use the `.` separator to find a nested type
Returns:
  the type, or `null` if the type does not exist in this package

#### findType

    @Deprecated
    JClassType findType(java.lang.String[] typeName)

Deprecated. use `findType(String)`
Finds a type in this package.

Parameters:
  `typeName` - the name of the type; use additional array elements to find a nested type
Returns:
  the type, or `null` if the type does not exist in this package

#### getName

    java.lang.String getName()

Returns the name of the package.

#### getType

    JClassType getType(java.lang.String typeName)
                throws NotFoundException

Finds a type in this package.

Parameters:
  `typeName` - the name of the type; use the `.` separated to search for a nested type
Returns:
  the type, or `null` if the type does not exist in this package
Throws:
  `NotFoundException`

#### getTypes

    JClassType[] getTypes()

Returns all top-level types in this package.

#### isDefault

    boolean isDefault()

Returns `true` only for the default package.